{$apptype console}

const n = 80;
      m = 50;

var i: longint;

begin
  randseed := 1414;
  writeln(n);
  for i := 1 to n do begin
    write(random(101));
    if i < n then
    	write(' ');
  end;
  writeln;
  for i := 1 to n - 1 do begin
    write(random(m) + 1);
    if (i < n - 1) then write(' ');
  end;
  writeln;
end.
